Bug 192866 - paw segfaults with "locf_() Warning" at launch
paw segfaults with "locf_() Warning" at launch
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cernlib (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-23 14:02 EDT by Brian Fisher
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: cernlib-2005-21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-26 05:19:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Fisher 2006-05-23 14:02:29 EDT
Description of problem:

Segmentation fault when starting paw or paw++ using latest cernlib packages on
FC5 x86_64  

Version-Release number of selected component (if applicable):

cernlib-2005-20.fc5
cernlib-devel-2005-20.fc5
cernlib-packlib-2005-20.fc5
cernlib-utils-2005-20.fc5
paw-2005-20.fc5

How reproducible:

always


Steps to Reproduce:
1. install latest cernlib and paw packages
2. attempt to start paw
  
Actual results:

paw spews several warnings and then dies:

[fisher@d121076 ~]$ paw
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
locf_() Warning: changing base from 2aaa00000000 to 0!!!
This may result in program crash or incorrect results
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
locf_() Warning: changing base from 2aaa00000000 to 0!!!
This may result in program crash or incorrect results
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
locf_() Warning: changing base from 2aaa00000000 to 0!!!
This may result in program crash or incorrect results
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
locf_() Warning: changing base from 2aaa00000000 to 0!!!
This may result in program crash or incorrect results
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
locf_() Warning: changing base from 2aaa00000000 to 0!!!
This may result in program crash or incorrect results
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
locf_() Warning: changing base from 2aaa00000000 to 0!!!
This may result in program crash or incorrect results
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
/usr/bin/paw: line 56:  3617 Segmentation fault      $GDIR/paw$drv $*
rm: cannot remove `paw.metafile': No such file or directory

Expected results:

paw should start as expected.

Additional info:

This is a new install of FC5 on a x86_64 so I do not know if previous versions
worked with this architecture.
Comment 1 Patrice Dumas 2006-05-26 05:19:42 EDT
I wrongly assumed that all the issues with dynamic linking of paw
on 64 bit architectures were fixed by the latest debian patches.
Kevin (the cernlib debian maintainer) corrected me, so now the pawX11
used as default is linked statically against the cernlib.

It is fixed in cernlib-2005-21, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.